[arch-commits] Commit in gnash-common/repos (extra-i686 extra-i686/PKGBUILD)

Eric Bélanger eric at archlinux.org
Sat Apr 4 01:43:20 EDT 2009


    Date: Saturday, April 4, 2009 @ 01:43:19
  Author: eric
Revision: 33063

Merged revisions 33059 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/gnash-common/trunk

........
  r33059 | eric | 2009-04-03 23:59:47 -0400 (Fri, 03 Apr 2009) | 2 lines
  
  upgpkg: gnash-common 0.8.5-1
      Upstream update, Switched to agg rendering, Switch to ffmpeg media, Added libtool depends, Added backup array
........

Modified:
  gnash-common/repos/extra-i686/	(properties)
  gnash-common/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   19 ++++++++++---------
 1 file changed, 10 insertions(+), 9 deletions(-)


Property changes on: gnash-common/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /gnash-common/trunk:1-17543
   + /gnash-common/trunk:1-33062

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-04-04 04:05:13 UTC (rev 33062)
+++ extra-i686/PKGBUILD	2009-04-04 05:43:19 UTC (rev 33063)
@@ -1,20 +1,21 @@
 # $Id$
 
 pkgname=gnash-common
-pkgver=0.8.4
+pkgver=0.8.5
 pkgrel=1
 pkgdesc='A GNU Flash movie player'
 arch=('i686' 'x86_64')
 url='http://www.gnu.org/software/gnash/'
 license=('GPL3')
-depends=('curl' 'giflib' 'boost' 'libldap' 'gstreamer0.10-base' 'sdl' 'libgl'
-         'libjpeg' 'libpng' 'mesa')
+depends=('curl' 'giflib' 'boost' 'libldap' 'ffmpeg' 'sdl' 'agg'
+         'libjpeg' 'libpng' 'libtool')
 makedepends=('pkgconfig')
-source=("http://ftp.gnu.org/gnu/gnash/${pkgver}/gnash-${pkgver}.tar.bz2")
-options=('!libtool' '!emptydirs' '!docs')
 provides=('gnash')
 replaces=('gnash')
-md5sums=('b47a7ed4b7c66b8c2ebacc2286ef0d4b')
+backup=('etc/gnashrc' 'etc/gnashpluginrc')
+options=('!libtool' '!emptydirs')
+source=("http://ftp.gnu.org/gnu/gnash/${pkgver}/gnash-${pkgver}.tar.bz2")
+md5sums=('366f703c2eb1747e4109602b75439ff4')
 
 build() {
 	cd $srcdir/gnash-$pkgver
@@ -24,7 +25,7 @@
 		--disable-plugins \
 		--disable-menus \
 		--enable-gui=sdl \
-		--enable-renderer=ogl \
+		--enable-renderer=agg \
 		--enable-z \
 		--enable-jpeg \
 		--enable-libpng \
@@ -32,8 +33,8 @@
 		--enable-fontconfig \
 		--enable-Xft \
 		--enable-expat \
-		--enable-gstreamer \
-		--enable-media=gst || return 1
+		--enable-ffmpeg \
+		--enable-media=ffmpeg || return 1
 
 	make || return 1
 	make DESTDIR=$pkgdir install || return 1



More information about the arch-commits mailing list